import { useRef } from 'react';
import PropTypes from 'prop-types';
import useGetBlobAsVideoSrcEffect from '../hooks/useGetBlobAsVideoSrcEffect.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var NativePlayer = function NativePlayer(_ref) {
  var src = _ref.src;
  var videoNode = useRef(null);
  var videoSrc = useGetBlobAsVideoSrcEffect({
    src: src,
    videoNode: videoNode
  });
  return /*#__PURE__*/_jsxs("video", {
    ref: videoNode,
    title: "Native video player",
    controls: true,
    children: [videoSrc !== null && /*#__PURE__*/_jsx("source", {
      "data-testid": "videosrc",
      src: videoSrc
    }), "Your browser does not support the video tag."]
  });
};
export default NativePlayer;