import PropTypes from 'prop-types';
import useDetectVideoType from '../hooks/useDetectVideoType.js';
import { NATIVE, VIMEO, YOUTUBE } from '../settings.js';
import NativePlayer from './NativePlayer.js';
import VimeoPlayer from './VimeoPlayer.js';
import YouTubePlayer from './YouTubePlayer.js';
import { jsx as _jsx } from "react/jsx-runtime";
var Switcher = function Switcher(_ref) {
  var src = _ref.src;
  var _useDetectVideoType = useDetectVideoType(),
    detectVideoType = _useDetectVideoType.detectVideoType;
  var videoType = detectVideoType(src);
  switch (videoType) {
    case NATIVE.VIDEO_TYPE:
      return /*#__PURE__*/_jsx(NativePlayer, {
        src: src
      });
    case VIMEO.VIDEO_TYPE:
      return /*#__PURE__*/_jsx(VimeoPlayer, {
        src: src
      });
    case YOUTUBE.VIDEO_TYPE:
      return /*#__PURE__*/_jsx(YouTubePlayer, {
        src: src
      });
    default:
      return /*#__PURE__*/_jsx("h1", {
        children: "Not supported media type"
      });
  }
};
export default Switcher;