import PropTypes from 'prop-types';
import useVimeoProperties from '../hooks/useVimeoProperties.js';
import { BASE_CLASS } from '../settings.js';
import { jsx as _jsx } from "react/jsx-runtime";
var VimeoPlayer = function VimeoPlayer(_ref) {
  var src = _ref.src;
  var _useVimeoProperties = useVimeoProperties(),
    getEmbeddableUrl = _useVimeoProperties.getEmbeddableUrl;
  var videoSrc = getEmbeddableUrl(src);
  return /*#__PURE__*/_jsx("div", {
    className: BASE_CLASS + "-vimeoPlayer",
    children: /*#__PURE__*/_jsx("iframe", {
      className: BASE_CLASS + "-vimeoPlayerFrame",
      title: "VIMEO video player",
      src: videoSrc,
      frameBorder: "0",
      allow: "autoplay; fullscreen; picture-in-picture",
      allowFullScreen: true
    })
  });
};
export default VimeoPlayer;