import { YOUTUBE } from '../settings.js';
var useYouTubeProperties = function useYouTubeProperties() {
  var getEmbeddableUrl = function getEmbeddableUrl(src) {
    var videoSrc = _replaceNonEmbeddableUrl({
      src: src,
      nonEmbeddableUrl: YOUTUBE.STANDARD_URL
    });
    videoSrc = _replaceNonEmbeddableUrl({
      src: videoSrc,
      nonEmbeddableUrl: YOUTUBE.SHORT_URL
    });
    return videoSrc;
  };
  var _replaceNonEmbeddableUrl = function _replaceNonEmbeddableUrl(_ref) {
    var src = _ref.src,
      nonEmbeddableUrl = _ref.nonEmbeddableUrl;
    var videoSrc = src;
    if (videoSrc.includes(nonEmbeddableUrl)) {
      var videoId = videoSrc.split(nonEmbeddableUrl)[1];
      videoSrc = "" + YOUTUBE.EMBEDDABLE_URL + videoId;
    }
    return videoSrc;
  };
  return {
    getEmbeddableUrl: getEmbeddableUrl
  };
};
export default useYouTubeProperties;